2017-12-13 22:24 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004137Kali Linux[All Projects] Kali Package Bugpublic2017-08-11 18:37
Reporterroyhills 
Assigned Tosbrun 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version2017.1 
Target VersionFixed in Version2017.2 
Summary0004137: hostapd-wpe 2.6+git20170713-0kali1 fails to install due to obsolete openssl gendh command
DescriptionUsing the current kali-rolling as of 2017-08-08, the package hostapd-wpe fails to install. I'm running on Intel amd64, in a VMware virtual machine.

This causes a new installation from the kali-rolling repository to fail during the package installation section. Hence I've assigned this a high priority. See the attached screenshot.

This issue appears to be present in hostapd-wpe_2.6+git20161107-0kali2_amd64.deb
It did not appear to be present in hostapd-wpe_2.6+git20161107-0kali2_amd64.deb
Steps To Reproduce1. Ensure hostapd-wpe is completely removed
# apt-get purge hostapd-wpe

2. Update the package list
# apt-get update

3. Install the latest version of hostapd-wpe
# apt-get install hostapd-wpe

The installation should fail with: "Invalid command 'gendh'; type "help" for a list."
Additional Informationroot@kali:~# apt-get install hostapd-wpe
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following NEW packages will be installed:
  hostapd-wpe
0 upgraded, 1 newly installed, 0 to remove and 394 not upgraded.
Need to get 0 B/561 kB of archives.
After this operation, 1,599 kB of additional disk space will be used.
Selecting previously unselected package hostapd-wpe.
(Reading database ... 276459 files and directories currently installed.)
Preparing to unpack .../hostapd-wpe_2.6+git20170713-0kali1_amd64.deb ...
Unpacking hostapd-wpe (2.6+git20170713-0kali1) ...
Setting up hostapd-wpe (2.6+git20170713-0kali1) ...
openssl gendh -out dh -2 2048
Invalid command 'gendh'; type "help" for a list.
Makefile:52: recipe for target 'dh' failed
make: *** [dh] Error 1
dpkg: error processing package hostapd-wpe (--configure):
 subprocess installed post-installation script returned error exit status 2
Errors were encountered while processing:
 hostapd-wpe
E: Sub-process /usr/bin/dpkg returned an error code (1)

The attached screenshot shows the error that occurs when performing a fresh install from the current kali-rolling repository.
Attached Files

-Relationships
+Relationships

-Notes

~0006985

sbrun (manager)

fixed in new version 2.6+git20170713-0kali2
+Notes

-Issue History
Date Modified Username Field Change
2017-08-08 10:22 royhills New Issue
2017-08-08 10:22 royhills File Added: pxe-boot-2017-08-08-11-20-59.png
2017-08-09 16:36 sbrun Assigned To => sbrun
2017-08-09 16:36 sbrun Status new => assigned
2017-08-11 18:37 sbrun Status assigned => resolved
2017-08-11 18:37 sbrun Resolution open => fixed
2017-08-11 18:37 sbrun Fixed in Version => 2017.2
2017-08-11 18:37 sbrun Note Added: 0006985
+Issue History